%global commit_hash 7cb9fc2
%global tag_hash 874071e

Name:           jnr-constants
Version:        0.8.4
Release:        %mkrel  2
Summary:        Java Native Runtime constants 
Group:          Development/Java
License:        ASL 2.0
URL:            http://github.com/jnr/%{name}/
Source0:        https://github.com/jnr/%{name}/tarball/%{version}/jnr-%{name}-%{version}-0-g%{commit_hash}.tar.gz
BuildArch:      noarch

BuildRequires:  java-devel
BuildRequires:  jpackage-utils
BuildRequires:  maven-local
BuildRequires:  maven-compiler-plugin
BuildRequires:  maven-install-plugin
BuildRequires:  maven-jar-plugin
BuildRequires:  maven-javadoc-plugin
BuildRequires:  maven-surefire-plugin
BuildRequires:  maven-surefire-provider-junit4

Requires:       java
Requires:       jpackage-utils

%description
Provides java values for common platform C constants (e.g. errno).

%package javadoc
Summary:        Javadocs for %{name}
Group:          Documentation
Requires:       jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n jnr-%{name}-%{tag_hash}
find ./ -name '*.jar' -delete
find ./ -name '*.class' -delete

%build
mvn-rpmbuild install javadoc:aggregate

%install
mkdir -p $RPM_BUILD_ROOT%{_javadir}
cp -p target/%{name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar
# link to older version jarname, so that gradle works
ln -s %{_javadir}/%{name}.jar $RPM_BUILD_ROOT%{_javadir}/constantine.jar

mkdir -p $RPM_BUILD_ROOT%{_javadocdir}/%{name}
cp -rp target/site/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}

install -d -m 755 $RPM_BUILD_ROOT%{_mavenpomdir}
install -pm 644 pom.xml  \
        $RPM_BUILD_ROOT%{_mavenpomdir}/JPP-%{name}.pom

%add_maven_depmap JPP-%{name}.pom %{name}.jar

%files
%doc LICENSE
%{_mavenpomdir}/JPP-%{name}.pom
%{_mavendepmapfragdir}/%{name}
%{_javadir}/%{name}.jar
%{_javadir}/constantine.jar

%files javadoc
%doc LICENSE
%{_javadocdir}/%{name}




%changelog
* Fri Oct 18 2013 umeabot <umeabot> 0.8.4-2.mga4
+ Revision: 522302
- Mageia 4 Mass Rebuild

* Mon Feb 18 2013 dmorgan <dmorgan> 0.8.4-1.mga3
+ Revision: 399161
- New version

* Tue Aug 02 2011 dmorgan <dmorgan> 0.7-1.mga2
+ Revision: 131280
- Fix file list
- Clean spec file

  + gil <gil>
    - imported package jnr-constants


* Sat Jun 11 2011 gil <gil> 0.7-0.%%mkrel
- initial rpm